%global src_name   gnome_shell___elementary_by_half_left-d45raik
%global theme      Elementary
%global theme_dir  %{theme}-3.4

Name:       gnome-shell-theme-elementary
Version:    3.4
Release:    3
Summary:    The %{theme} gnome-shell theme
Group:      Graphical desktop/GNOME

License:    GPLv3 and LGPLv2
URL:        http://half-left.deviantart.com/art/GNOME-Shell-Elementary-251536124
Source0:    http://www.deviantart.com/download/251536124/%{src_name}.zip

Patch0:     set-bold-font-in-panel.patch

Requires:   gnome-shell-extensions-user-theme
Requires:   gnome-shell >= 3.4 

BuildArch:  noarch


%description
The %{theme} gnome-shell theme created by half_left


%prep
%setup -q -c
%patch0 -p0


%build
# nothing to build


%install
mkdir -p -m755 %{buildroot}/%{_datadir}/themes/%{theme}/gnome-shell

# put the theme files into some data dir
cp -pr %{theme_dir}/gnome-shell/* \
     %{buildroot}%{_datadir}/themes/%{theme}/gnome-shell

# delete backup files (*~)
find %{buildroot} -name *~ -type f -exec rm -f '{}' \;

# Remove LICENSE file from BUILDROOT
find %{buildroot} -name LICENSE -type f -exec rm -f '{}' \;


%files
%doc %{theme_dir}/gnome-shell/LICENSE
%dir %{_datadir}/themes/%{theme}
%{_datadir}/themes/%{theme}/*



%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 3.4-3
+ Revision: 51af647
- MassBuild#440: Increase release tag


